/*
 * s3 - SRQ interrupt sample program
 *
 * 2008-07-10 Kouichi Hirabayashi
 */

#include <stdio.h>
#include <stdlib.h>
#include "gpib.h"

#define E5810A	"202.23.252.166"

char buf[BUFSIZ];

int
main(int argc, char *argv[])
{
  int i;

  gbopn(E5810A);
  gbwrt(23, "F1N3T2M20", 0, 2);
  for (i = 0; i < 10; i++) {
	fprintf(stderr, "Press front panel SRQ button.\n");
	while (!(gbspol(23) & 0x40))
		sleep(1);
	gbtrg(23);
	gbred(23, buf, sizeof(buf), 2);
	printf("%s\n", buf);
  }
  gbcls();
  exit(0);
}
