/*
 * s4 - HP3478A sample program
 *
 * 2008-07-10 Kouichi Hirabayashi
 */

#include <stdio.h>
#include <stdlib.h>
#include "gpib.h"

#define E5810A	"202.23.252.166"

char buf[BUFSIZ];

int
main(int argc, char *argv[])
{
  int i;

  gbopn(E5810A);
  gblost2(10000, 10000);
  for (i = 0; i < 10; i++) {
	gblock(23);
	gbwrt(23, "F1N5T1M00", 0, 2);
	gbred(23, buf, sizeof(buf), 2);
	gbunlock(23);
	printf("%s\n", buf);
	sleep(5);
  }
  gbcls();
  exit(0);
}
