/*
 * s5 - HP3478A sample program
 *
 * 2008-07-10 Kouichi Hirabayashi
 */

#include <stdio.h>
#include <stdlib.h>
#include "gpib.h"

#define E5810A	"202.23.252.166"

char buf[BUFSIZ];

int
main(int argc, char *argv[])
{
  int i;

  gbopn(E5810A);
  gbwrt(22, "F5N5T1M00", 0, 2);
  gbwrt(23, "F1N5T1M00", 0, 2);
  for (i = 0; i < 10; i++) {
	gbred(22, buf, sizeof(buf), 2);
	printf("%s A\n", buf);
	gbred(23, buf, sizeof(buf), 2);
	printf("%s V\n", buf);
  }
  gbcls();
  exit(0);
}
