/*
 * s1 - HP34401A RS-232 sample program
 *
 * 2008-07-25 Kouichi Hirabayashi
 */

#include <stdio.h>
#include <stdlib.h>
#include "gpib.h"

#define E5810A	"202.23.252.166"

char buf[BUFSIZ];

int
main(int argc, char *argv[])
{
  int i;

  gbopn(E5810A);
  gbwrt(31, "*IDN?", 0, 2);
  gbred(31, buf, sizeof(buf), 2);
  printf("%s\n", buf);
  gbwrt(31, ":SYSTEM:REMOTE", 0, 2);
  for (i = 0; i < 10; i++) {
	usleep(200000);
	gbwrt(31, ":MEAS:VOLT:DC?", 0, 2);
	gbred(31, buf, sizeof(buf), 2);
	printf("%s\n", buf);
  }
  gbcls();
  exit(0);
}
