
/* wait() function status bits */
#define GBR_REQCNT	0x01	/* device_read reason REQCNT bit */
#define GBR_CHR		0x02	/* device_read reason CHR bit */
#define GBR_END		0x04	/* device_read reason END bit */
#define GBI_SRQ		0x40	/* this library dependent */

/* library funcyion prototypes */
int gbabort(int ad);
int gblock(int ad);
int gbunlock(int ad);
int gbwrt(int ad, char *buf, int cnt, int del);
int gbred(int ad, char *buf, int cnt, int del);
int gbspol(int ad);
int gbtrg(int ad);
int gbclr(int ad);
int gbrmt(int ad);
int gblcl(int ad);
int gblost(int time);
int gblost2(int time1, int time2);
int gbwait(int mask);
int gbopn(char *host);
int gbcls(void);
int gberr(void);
void gbint(void *);

/* INTEX 207X GPIB library compatible functions */
int gbcmod(int mode);
int gbifc(void);
int gbren(int f);
int gblst(int time);
int issrq(void *);

/* INTEX 207X GPIB library compatible dummy functions */
int gbadr(int ad);
int gbmsg(char *msg);
int gbppol(void);
int gbppc(int ad, int data);
int gbppu(int ad);
