/*
 * s9 - SRQ interrupt
 *
 * 2008-07-10 Kouichi Hirabayashi
 */

#include <stdio.h>
#include <stdlib.h>
#include <signal.h>
#include "gpib.h"

#define E5810A	"202.23.252.166"

void onsrq();

int n;
char buf[BUFSIZ];

int
main(int argc, char *argv[])
{
  gbopn(E5810A);
  gbspol(23);
  gbsrq(&onsrq);
  gbwrt(23, "F1N5T2M21", 0, 2);
  gbtrg(23);
  while (n < 10) {
	pause();
	printf("#%d\n", n);
  }
  gbcls();
  exit(0);
}

void
onsrq()
{
  printf("STB(0x%02x)\n", gbspol(23));
  gbred(23, buf, sizeof(buf), 2);
  printf("%s\n", buf);
  if (n++ < 10)
	gbtrg(23);
}
